package com.community.huiju.model;

import java.util.Date;

public class TpBill {
    private Integer id;

    private Integer communityId;

    private String billName;

    private String billExplain;

    private String payPrice;

    private Integer payTotalNum;

    private Integer payedNum;

    private Integer unpayedNum;

    private String billStatus;

    private Date endDate;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getBillName() {
        return billName;
    }

    public void setBillName(String billName) {
        this.billName = billName == null ? null : billName.trim();
    }

    public String getBillExplain() {
        return billExplain;
    }

    public void setBillExplain(String billExplain) {
        this.billExplain = billExplain == null ? null : billExplain.trim();
    }

    public String getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(String payPrice) {
        this.payPrice = payPrice == null ? null : payPrice.trim();
    }

    public Integer getPayTotalNum() {
        return payTotalNum;
    }

    public void setPayTotalNum(Integer payTotalNum) {
        this.payTotalNum = payTotalNum;
    }

    public Integer getPayedNum() {
        return payedNum;
    }

    public void setPayedNum(Integer payedNum) {
        this.payedNum = payedNum;
    }

    public Integer getUnpayedNum() {
        return unpayedNum;
    }

    public void setUnpayedNum(Integer unpayedNum) {
        this.unpayedNum = unpayedNum;
    }

    public String getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(String billStatus) {
        this.billStatus = billStatus == null ? null : billStatus.trim();
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
}